---
title: Cookie
slug: Web/HTTP/Headers/Cookie
tags:
  - Cookies
  - HTTP
  - Reference
  - header
  - request
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Cookie</code></strong> HTTP request header contains stored <a href="/en-US/docs/Web/HTTP/Cookies">HTTP cookies</a> associated with the server (i.e. previously sent by the server with the {{HTTPHeader("Set-Cookie")}} header or set in Javascript using {{domxref("Document.cookie")}}).</p>

<p>The <code>Cookie</code> header is optional and may be omitted if, for example, the browser's privacy settings block cookies.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Request header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">Cookie: &lt;cookie-list&gt;
Cookie: name=value
Cookie: name=value; name2=value2; name3=value3</pre>

<dl>
 <dt>&lt;cookie-list&gt;</dt>
 <dd>A list of name-value pairs in the form of <code>&lt;cookie-name&gt;=&lt;cookie-value&gt;</code>. Pairs in the list are separated by a semicolon and a space (<code>'; '</code>).</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="notranslate">Cookie: PHPSESSID=298zf09hf012fh2; csrftoken=u32t4o3tb3gg43; _gat=1</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("6265", "Cookie", "5.4")}}</td>
   <td>HTTP State Management Mechanism</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Cookie")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Set-Cookie")}}</li>
 <li>{{domxref("Document.cookie")}}</li>
</ul>
